
package cz.moneta.test.dsl.cebia.iva;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for WSRCIIVehicle complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="WSRCIIVehicle"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="No1" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="No2" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="J" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="D1" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="D2_Type" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="D2_Variant" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="D2_Version" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="E" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="No3" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "WSRCIIVehicle", propOrder = {
    "no1",
    "no2",
    "j",
    "d1",
    "d2Type",
    "d2Variant",
    "d2Version",
    "e",
    "no3"
})
public class WSRCIIVehicle {

    @XmlElement(name = "No1", nillable = true)
    protected String no1;
    @XmlElement(name = "No2", nillable = true)
    protected String no2;
    @XmlElement(name = "J", nillable = true)
    protected String j;
    @XmlElement(name = "D1", nillable = true)
    protected String d1;
    @XmlElement(name = "D2_Type", nillable = true)
    protected String d2Type;
    @XmlElement(name = "D2_Variant", nillable = true)
    protected String d2Variant;
    @XmlElement(name = "D2_Version", nillable = true)
    protected String d2Version;
    @XmlElement(name = "E", nillable = true)
    protected String e;
    @XmlElement(name = "No3", nillable = true)
    protected String no3;

    /**
     * Gets the value of the no1 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo1() {
        return no1;
    }

    /**
     * Sets the value of the no1 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo1(String value) {
        this.no1 = value;
    }

    /**
     * Gets the value of the no2 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo2() {
        return no2;
    }

    /**
     * Sets the value of the no2 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo2(String value) {
        this.no2 = value;
    }

    /**
     * Gets the value of the j property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getJ() {
        return j;
    }

    /**
     * Sets the value of the j property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setJ(String value) {
        this.j = value;
    }

    /**
     * Gets the value of the d1 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getD1() {
        return d1;
    }

    /**
     * Sets the value of the d1 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setD1(String value) {
        this.d1 = value;
    }

    /**
     * Gets the value of the d2Type property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getD2Type() {
        return d2Type;
    }

    /**
     * Sets the value of the d2Type property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setD2Type(String value) {
        this.d2Type = value;
    }

    /**
     * Gets the value of the d2Variant property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getD2Variant() {
        return d2Variant;
    }

    /**
     * Sets the value of the d2Variant property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setD2Variant(String value) {
        this.d2Variant = value;
    }

    /**
     * Gets the value of the d2Version property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getD2Version() {
        return d2Version;
    }

    /**
     * Sets the value of the d2Version property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setD2Version(String value) {
        this.d2Version = value;
    }

    /**
     * Gets the value of the e property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getE() {
        return e;
    }

    /**
     * Sets the value of the e property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setE(String value) {
        this.e = value;
    }

    /**
     * Gets the value of the no3 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo3() {
        return no3;
    }

    /**
     * Sets the value of the no3 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo3(String value) {
        this.no3 = value;
    }

    public WSRCIIVehicle withNo1(String value) {
        setNo1(value);
        return this;
    }

    public WSRCIIVehicle withNo2(String value) {
        setNo2(value);
        return this;
    }

    public WSRCIIVehicle withJ(String value) {
        setJ(value);
        return this;
    }

    public WSRCIIVehicle withD1(String value) {
        setD1(value);
        return this;
    }

    public WSRCIIVehicle withD2Type(String value) {
        setD2Type(value);
        return this;
    }

    public WSRCIIVehicle withD2Variant(String value) {
        setD2Variant(value);
        return this;
    }

    public WSRCIIVehicle withD2Version(String value) {
        setD2Version(value);
        return this;
    }

    public WSRCIIVehicle withE(String value) {
        setE(value);
        return this;
    }

    public WSRCIIVehicle withNo3(String value) {
        setNo3(value);
        return this;
    }

}
